Skip to main content
GET
/
api
/
v1
/
developer-agents
Browse developer agents
curl --request GET \
  --url https://mcp.echozero.app/api/v1/developer-agents
{
  "success": true,
  "data": {
    "items": [
      {
        "id": "<string>",
        "developerId": "<string>",
        "name": "<string>",
        "betaStatus": "<string>",
        "performanceStats": {},
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "strategyDescription": "<string>",
        "avatarUrl": "<string>",
        "imageUrl": "<string>",
        "tags": [
          "<string>"
        ],
        "monthlyPrice": 123,
        "successFeePercent": 123,
        "betaStartDate": "2023-11-07T05:31:56Z",
        "maxBetaUsers": 123,
        "stats": {
          "totalProfitUsd": 123,
          "roi": 123,
          "winRate": 123,
          "totalTrades": 123,
          "performanceScore": 123
        },
        "pnl": {
          "totalProfitUsd": 123,
          "roi": 123,
          "avgProfitPerTrade": 123,
          "maxDrawdown": 123
        },
        "tradeStats": {
          "totalTrades": 123,
          "wins": 123,
          "losses": 123,
          "winRate": 123,
          "category": "<string>"
        },
        "risk": {
          "botCount": 123
        },
        "followers": 123,
        "subscriberCount": 123,
        "isSubscribed": true,
        "activeBotCount": 123,
        "totalBotCount": 123,
        "featured": true,
        "featuredRank": 123,
        "latestReview": {
          "id": "<string>",
          "status": "<string>",
          "reviewedAt": "2023-11-07T05:31:56Z",
          "notes": "<string>",
          "safetyScore": 123
        },
        "membershipGated": true,
        "externalSignupUrl": "<string>"
      }
    ],
    "pagination": {
      "total": 123,
      "limit": 123,
      "page": 123,
      "totalPages": 123,
      "hasNextPage": true,
      "hasPreviousPage": true
    }
  }
}

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Query Parameters

riskLevel
enum<string>
Available options:
low,
medium,
high
pricingModel
enum<string>
Available options:
subscription,
success-fee,
both,
free
minMonthlyPrice
number

Minimum monthly price (USD), inclusive

maxMonthlyPrice
number

Maximum monthly price (USD), inclusive

listType
enum<string>

Compatibility preset with main-app list tabs.

Available options:
STANDARD,
TOP_PERFORMERS,
TRENDING,
RISING_STARS
sortBy
enum<string>

Compatibility sort key with main-app explore.

Available options:
PERFORMANCE,
SUBSCRIBER_COUNT,
UPDATED_AT,
NEWEST

Response

200 - application/json

Paginated developer agents.

success
boolean
required
Example:

true

data
object
required

Endpoint-specific payload